# fwdkr.co
A custom URL shortener.

## Requirements
* PHP 7.3+
* [PHP cURL](https://www.php.net/manual/en/book.curl.php)
* [PHP Multibyte String](https://www.php.net/manual/en/book.mbstring.php)
* [PHP SQLite 3](https://www.php.net/manual/en/book.sqlite3.php)

## Development
```shell script
# Run local PHP web server
$> cd ./dist
$> php -S localhost:8080 ./index.php
```

## Installation
Copy these files into the desired directory.
There's a few hardcoded URLs in there that you'll have to fix yourself.
One day I'll create a config file for that.
The database at `.links.db` is automatically created when you visit the main page.

## Configuration
### phpLiteAdmin
You may override settings from `phpliteadmin.php` in the file `phpliteadmin.config.php`.

### GoatCounter
GoatCounter is disabled unless the `.goat.token` and `.goat.url` files exist.

* Add your [GoatCounter](https://github.com/zgoat/goatcounter) API token with "Record pageviews" permission in the
  `.goat.token` file.
* Add the URL of the `/count` API endpoint in `.goat.url`, e.g. `https://example.com/api/v0/count`.
* Add IP addresses that should not be counted to `.goat.ignore`, separated by newlines.
